// ====================================================================
// Copyright (C) INRIA -  Serge Steer
// Copyright (C) 2018 - Samuel GOUGEON
// 
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at    
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ===================================================================
function builder_main()

    TOOLBOX_NAME = "DD_QD";
    TOOLBOX_TITLE = "Double-Double (DD) and Quad-Double (QD) floating point arithmetic";
    toolbox_dir = get_absolute_file_path("builder.sce");

    // Check Scilab's version
    // ===============================================================
    try
        v = getversion("scilab");
    catch
        error(gettext("Scilab 5.3 or more required."));
    end

    // Check modules_manager module availability
    //================================================================
    if ~isdef("tbx_build_loader") then
        msg = gettext("%s module not installed.\n")
        error(msprintf(msg, "modules_manager"));
    end

    tbx_builder_help(toolbox_dir);
    if v(1)>5 then
        tbx_build_loader(toolbox_dir);
        tbx_build_cleaner(toolbox_dir);
        optc = %f
    else
        tbx_build_loader(TOOLBOX_NAME, toolbox_dir);
        tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir);
        optc = %t
    end
    DLL = %f;
    tbx_builder_macros(toolbox_dir); // executes ./macros/buildmacros.sce
endfunction
//====================================================================
builder_main()
clear builder_main;

// To update the names files of macros (Scilab 5.5):
// mputl(gsort(strsubst(ls("*.sci"),".sci",""),"g","i"), "names")

//d2dd
//d2qd
//dd2qd
//qd2dd
//dd
//qd
//getHi
//dd2str
//ddeye
//ddones
//ddzeros
//ddrand
//ddnrt
//ddpi
//ddpow
//qd2str
//qdeye
//qdzeros
//qdones
//qdpi
//qdsqrt
//str2dd
//qdip
//qdpow
//qdrand
//ddgqr
//ddip

//ddGauss
//qdGauss
//ddinv
//qdinv
