// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Compute round-off error of sum
// This is an internal function
//
// Calling Sequence :
// fast_two_sum(a,b)
//
// Arguments :
// a,b : double numbers (assumption |a|>|b|)
//
// This algorithm is based on Dekker('71)
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function [s,e] = fast_two_sum(a,b);
    s = a + b;
    e = b - (s - a);
endfunction
