// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// make this file : 2011/09/02
// last updating : 2011/09/02
// *****************************************************************
// INTERNAL
//Round to Nearest integer
function  n = nint_dd(a)
    hi = round(a.hi);
    lo = 0;
    if (hi == a.hi)  then
        // High word is an integer already.  Round the low word.
        lo = round(a.lo);
        // Renormalize. This is needed if x[0] = some integer, x[1] = 1/2.
        hi = a.hi + lo;
        lo = lo - (hi - a.hi);
    else 
        // High word is not an integer.
        lo = 0.0;
        if (abs(hi-a.hi) == 0.5 & a.lo < 0.0) then
            // There is a tie in the high word, consult the low word to break the tie. 
            hi = hi - 1.0;      // NOTE: This does not cause INEXACT.
        end
    end
    n = dd(hi, lo);
endfunction

