// ====================================================================
// Copyright (C) 2018 - Samuel GOUGEON
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================
// Binary typeof promotion of a pair of operands
// for instnce to cast concatenation operands.
//
// Authors :
// Copyright (C) 2018 - Samuel GOUGEON
// last updating : 2017-07-31
// *****************************************************************
function [q1, q2] = promote(q1, q2)
    t1 = typeof(q1)
    t2 = typeof(q2)
    select t1
    case "constant"
        if t2=="dd"
            q1 = d2dd(q1)
        elseif t2=="qd"
            q1 = d2qd(q1)
        end
    case "dd"
        if t2=="constant"
            q2 = d2dd(q2)
        elseif t2=="qd"
            q1 = dd2qd(q1)
        end
    case "qd"
        if t2=="constant"
            q2 = d2qd(q2)
        elseif t2=="dd"
            q2 = dd2qd(q2)
        end
    end
endfunction
