// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Compute nonadjacent numbers of three sum
// This is an internal function
//
// Calling Sequence :
// three_sum2(a,b,c)
//
// Arguments :
// a,b,c : double numbers 
//
// This algorithm is based on Knuth('69) and Bailey's QD
// http://crd.lbl.gov/~dhbailey/mpdist/
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function [d,e] = three_sum2(a,b,c);
    t1= a + b;
    v = t1 - a;
    t2= (a - (t1 - v))+(b - v);

    d = t1 + c;
    v = d - t1;
    t3= (t1 - (d - v))+(c - v);

    e = t2 + t3;
endfunction
