// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Compute round-off error of product
// This is an internal function
//
// Calling Sequence :
// two_prod(a,b)
//
// Arguments :
// a,b : double numbers
//
// This algorithm is based on Dekker('71)
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/11/09
// *****************************************************************
function [p,e] = two_prod(a,b);
    p = a .* b;
    t = 134217729 * a;
    ah = t -(t - a);
    al = a - ah;
    t = 134217729 * b;
    bh = t -(t - b);
    bl = b - bh;
    e = ((ah.*bh - p) + ah.*bl + al.*bh) + al.*bl;
endfunction
