// ====================================================================
// Copyright (C) 2018 - Samuel GOUGEON
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================
// *****************************************************************
// max() for DD
//
// Calling Sequences :
// v = max(DD)
// v = max(DD, "r"|1)
// v = max(DD, "c"|2)
// [v, k] = max(...)
//
// Authors :
// Copyright (C) 2018 - Samuel GOUGEON
// last updating : 2018-07-31
// *****************************************************************
function [v, k] = %dd_max(A, opt)
    // A: DD array
    // opt: "r"|1|"c"|2|"*"
    // v, k: same as usual max()

    if isdef("opt", "l") then
        [v, k] = ddqd_minmax("max", A, opt)
    else
        [v, k] = ddqd_minmax("max", A)
    end
endfunction
