// ====================================================================
// Copyright (C) 2018 - Samuel GOUGEON
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================
// *****************************************************************
// min() for QD array
//
// Calling Sequences :
// v = min(QD)
// v = min(QD, "r"|1)
// v = min(QD, "c"|2)
// [v, k] = min(...)
//
// Authors :
// Copyright (C) 2018 - Samuel GOUGEON
// last updating : 2018-07-31
// *****************************************************************
function [v, k] = %qd_min(A, opt)
    // A: QD array
    // opt: "r"|1|"c"|2|"*"
    // v, k: same as usual min()

    if isdef("opt", "l") then
        [v, k] = ddqd_minmax("min", A, opt)
    else
        [v, k] = ddqd_minmax("min", A)
    end
endfunction
