// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// definition QD value
//
// Calling Sequence :
// qd(a1,a2,a3,a4)
// qd(a1)
// qd(a1,a2)
// qd(a1,a2,a3)
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/08/24
// *****************************************************************
function a = qd(varargin)
    select length(varargin)
    case 1
        [m,n] = size(varargin(1));
        O = zeros(m,n);
        a = tlist(['qd','d'],varargin(1),O,O,O);
    case 2
        if(size(varargin(1)) == size(varargin(2))) then
            [m,n] = size(varargin(1));
            O = zeros(m,n);
            a = tlist(['qd','d'],varargin(1),varargin(2),O,O);
        else
            msg = _("%s: Arguments #%d and #%d: Same sizes expected.\n")
            error(msprintf(msg, "qd", 1, 2));
        end
    case 3
        if((size(varargin(1)) == size(varargin(2))) & (size(varargin(2)) == size(varargin(3)))) then
            [m,n] = size(varargin(1));
            O = zeros(m,n);
            a = tlist(['qd','d'],varargin(1),varargin(2),varargin(3),O);
        else
            msg = _("%s: Arguments #%d, #%d and #%d: Same sizes expected.\n")
            error(msprintf(msg, "qd", 1, 2, 3));
        end
    case 4
        if((size(varargin(1)) == size(varargin(2))) & (size(varargin(2)) == size(varargin(3))) & (size(varargin(3)) == size(varargin(4)))) then
            a = tlist(['qd','d'],varargin(1),varargin(2),varargin(3),varargin(4));
        else
            msg = _("%s: Arguments #%d, #%d, #%d and #%d: Same sizes expected.\n")
            error(msprintf(msg, "qd", 1, 2, 3, 4));
        end
    else
        msg = _("%s: Wrong number of input arguments: %d to %d expected.\n");
        error(msprintf(msg, "qd", 1, 4));
    end
endfunction

