// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// QD division (qd / double)
//
// Calling Sequence :
// a / b
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2011/09/02
// *****************************************************************
function c = %qd_r_s(a,b)
    t = tlist(['dd','hi','lo'],0,0);
    r = tlist(['qd','d'],0,0,0,0);

    q1 = a(2)/b;
    // reminder a - q_1*b
    [t.hi,t.lo] = two_prod(q1,b);
    r = a - t;
    q2 = r(2)/b;
    [t.hi,t.lo] = two_prod(q2,b);
    r = r - t;
    q3 = r(2)/b;
    [t.hi,t.lo] = two_prod(q3,b);
    r = r - t;
    q4 = r(2)/b;
    [t.hi,t.lo] = two_prod(q4,b);
    r = r - t;

    q5 = r(2)/b;
    [t1,t2,t3,t4] = renormalize(q1,q2,q3,q4,q5);
    c = tlist(['qd','d'],t1,t2,t3,t4);
endfunction

