// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Inner product of DD numbers
//
// Calling Sequence :
// ddip(x,y)
//
// Arguments :
// x,y : DD vectors
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function z = ddip(x,y)
    //inner product
    [m1,n1] = size(x.hi);
    [m2,n2] = size(y.hi);
    if n1 ~= 1 | n2 ~=1 | m1 ~= m2 then
        msg = _("%s: Arguments #%d and #%d: two columns of same size expected.\n")
        error(msprintf(msg, "ddip", 1, 2))
    else
        z = x'*y
    end
endfunction

