// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
// Copyright (C) 2018 - Samuel GOUGEON
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Inner product of QD numbers
//
// Calling Sequence :
// qdip(x,y)
//
// Arguments :
// x,y : QD vectors
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// Copyright (C) 2018 - Samuel GOUGEON
// last updating : 2018-07-31
// *****************************************************************
function z = qdip(x,y)
    [m1,n1] = size(x.d);
    [m2,n2] = size(y.d);
    if n1 ~= 1 | n2 ~=1 | m1 ~= m2 then
        msg = _("%s: Arguments #%d and #%d: two columns of same size expected.\n")
        error(msprintf(msg, "qdip", 1, 2))
    else
        z = x'*y
    end
endfunction

